unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, TeeData, TeEngine, TeeSurfa, TeeMapSeries,
  ExtCtrls, TeeProcs, Chart, DBChart, Series, Grids, DBGrids, DBCtrls,
  Buttons;

type
  TForm1 = class(TForm)
    SeriesDataSet1: TSeriesDataSet;
    SeriesDataSet1Color: TIntegerField;
    SeriesDataSet1X: TFloatField;
    SeriesDataSet1Y: TFloatField;
    SeriesDataSet1Label: TStringField;
    DataSource1: TDataSource;
    Panel1: TPanel;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Chart1: TChart;
    Series1: TLineSeries;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
Series1.FillSampleValues(30);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
Close;
end;

end.
